/* Ergo, version 3.8, a program for linear scaling electronic structure
 * calculations.
 * Copyright (C) 2019 Elias Rudberg, Emanuel H. Rubensson, Pawel Salek,
 * and Anastasia Kruchinina.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Primary academic reference:
 * Ergo: An open-source program for linear-scaling electronic structure
 * calculations,
 * Elias Rudberg, Emanuel H. Rubensson, Pawel Salek, and Anastasia
 * Kruchinina,
 * SoftwareX 7, 107 (2018),
 * <http://dx.doi.org/10.1016/j.softx.2018.03.005>
 * 
 * For further information about Ergo, see <http://www.ergoscf.org>.
 */

/** @file source/test/registration.h

    @brief Registration of task types and chunk types, relevant only
    if configuring ergo to use Chunks and Tasks.
*/

#ifndef CHT_REGISTRATION_HEADER
#define CHT_REGISTRATION_HEADER

#include "matrix_typedefs.h"

#ifdef USE_CHUNKS_AND_TASKS

#include "chunks_and_tasks.h"
#include "cht_matrix_lib.h"
#include "matrix_typedefs_chtml.h"

typedef ergo_real real;

#endif // USE_CHUNKS_AND_TASKS

#endif // CHT_REGISTRATION_HEADER
